import "./tasks/split_file.wdl" as split_file
import "./tasks/merge_mendelian.wdl" as merge_mendelian

workflow {{ project_name }} {

	File D5_trio_raw_vcf
	File D6_trio_raw_vcf
	File family_raw_vcf
	File high_confidence_bed

	String BEDdocker
	String DIYdocker
	String family_name

	String disk_size
	String SMALLcluster_config

	call split_file.split_file as split_file {
		input:
		D5_trio_raw_vcf=D5_trio_raw_vcf,
		D6_trio_raw_vcf=D6_trio_raw_vcf,
		family_raw_vcf=family_raw_vcf,
		high_confidence_bed=high_confidence_bed,
		family_name=family_name,
		docker=BEDdocker,
		cluster_config=SMALLcluster_config,
		disk_size=disk_size
	}

	call merge_mendelian.merge_mendelian as merge_mendelian {
		input:
		D5_in=split_file.D5_in,
		D6_in=split_file.D6_in,
		family_in=split_file.family_in,
		D5_out=split_file.D5_out,
		D6_out=split_file.D6_out,
		family_out=split_file.family_out,
		family_name=family_name,
		docker=DIYdocker,
		cluster_config=SMALLcluster_config,
		disk_size=disk_size
	}
}


